Bug 117079 - [CSS Regions] Selection of content flowed in a region is offset by the position of the region on the screen if the content is an <iframe>
Summary: [CSS Regions] Selection of content flowed in a region is offset by the positi...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 118668
  Show dependency treegraph
 
Reported: 2013-05-31 08:49 PDT by Mihai Balan
Modified: 2014-03-04 23:01 PST (History)
2 users (show)

See Also:


Attachments
Test-case (682 bytes, text/html)
2013-05-31 08:49 PDT, Mihai Balan
no flags Details
Test-case (2.12 KB, application/zip)
2013-06-02 09:11 PDT, Mihai Balan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai Balan 2013-05-31 08:49:57 PDT
Created attachment 203450 [details]
Test-case

If an <iframe> is flowed in a region, attempting to select text from the <iframe> will yield an offset selection ( both the visual highlight of the selection and the actual contents of the selection (text copied to clipboard) ). The selection contents are offset by the actual position of the region on the screen.
That is, if you try selecting from (0, 0) relative to the region, but the region is positioned at (10, 40) *on the screen*, the selection will start at (10, 40) *in the region*
Comment 1 Mihai Balan 2013-06-02 09:11:01 PDT
Created attachment 203533 [details]
Test-case
Comment 2 Michelangelo De Simone 2013-06-13 10:37:50 PDT
Still repros on today's nightly (r151543)
Comment 3 Mihnea Ovidenie 2014-03-04 23:01:43 PST
Fixed by https://bugs.webkit.org/show_bug.cgi?id=128800